using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;

namespace MojaPierwszaAplikacjaAspNet.Properties
{
    public partial class Default : System.Web.UI.Page
    {
        protected void Page_Load(object sender, EventArgs e)
        {
            WyświetlanieWpisów();
        }

        private const string kolorParzysty = "blue";
        private const string kolorNieparzysty = "navy";

        private static string KolorNagłówka(int numerWpisu)
        {
            return (numerWpisu % 2 == 0) ? kolorParzysty : kolorNieparzysty;
        }

        private void WyświetlanieWpisów(bool odwróćKolejność = true)
        {
            List<string> wpisy = (List<string>)Application[Global.nazwaZmiennej_Wpisy];

            string treśćWpisów = "";
            if (!odwróćKolejność) foreach (string wpis in wpisy) treśćWpisów += wpis;
            else for (int i = wpisy.Count - 1; i >= 0; i--) treśćWpisów += wpisy[i];
            Label1.Text = treśćWpisów;
        }

        protected void Button1_Click(object sender, EventArgs e)
        {
            if (TextBox1.Text == "" || TextBox2.Text == "") return; //walidacja po stronie serwera
            List<string> wpisy = (List<string>)Application[Global.nazwaZmiennej_Wpisy];

            int liczbaWpisów = wpisy.Count;
            string nagłówek = "<font color=" + KolorNagłówka(liczbaWpisów) + "><b> Dodano dnia: " + DateTime.Now.ToString() + "</b></font>";
            string treść = TextBox2.Text + "<br>";
            string podpis = "<i>" + TextBox1.Text + "</i> (" + this.Request.UserHostAddress + ")<br><hr>";            

            //dodawanie wpisu
            string nowyWpis = nagłówek + "<br>" + treść + "<br>" + podpis + "<p>";
            PlikTekstowy.DopiszDoPliku(nowyWpis);

            wpisy.Add(nowyWpis);
            //Global.ZapiszDoPliku(wpisy);            
            WyświetlanieWpisów();

            //Label1.Text += nowyWpis;

            TextBox2.Text = "";
        }
    }
}